UnixDomainPrincipal (Java SE 26 & JDK 26)
Description: declaration: module: jdk.net, package: jdk.net, record: UnixDomainPrincipal
Keywords: jdk.net.UnixDomainPrincipal class

# Record Class UnixDomainPrincipal

java.lang.Object
java.lang.Record
jdk.net.UnixDomainPrincipal

Record Components:
  `user` - the user identity
  `group` - the group identity

public record UnixDomainPrincipal(UserPrincipal user, GroupPrincipal group) extends Record
Represents the credentials of a peer connected to a Unix domain socket.

Since:
  16

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnixDomainPrincipal(UserPrincipal user, GroupPrincipal group)`
  Creates a UnixDomainPrincipal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `GroupPrincipal`
  `group()`
  Returns the value of the `group` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `UserPrincipal`
  `user()`
  Returns the value of the `user` record component.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### UnixDomainPrincipal

    public UnixDomainPrincipal(UserPrincipal user, GroupPrincipal group)
    Creates a UnixDomainPrincipal.
    Parameters:
      `user` - the user identity
      `group` - the group identity
    Throws:
      `NullPointerException` - if `user` or `group` are `null`.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object
    See Also:
      - `Object.toString()`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object
    See Also:
      - `Object.hashCode()`

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.
    See Also:
      - `Objects.equals(Object,Object)`

  - ### user

    public UserPrincipal user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component

  - ### group

    public GroupPrincipal group()
    Returns the value of the `group` record component.
    Returns:
      the value of the `group` record component